Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class AstBrowser

    java.lang.Object
      groovy.inspect.swingui.AstBrowser

    class AstBrowser

This object is a GUI for looking at the AST that Groovy generates. Usage: java groovy.inspect.swingui.AstBrowser [filename] where [filename] is an existing Groovy script.

Authors:
  Hamlet D'Arcy (hamletdrc@gmail.com)
  Guillaume Laforge, highlighting the code corresponding to a node selected in the tree view
  Roshan Dawrani - separated out the swing UI related code from the model part so model could be used for various UIs

Property Summary
`GeneratedBytecodeAwareGroovyClassLoader` | `classLoader`
`java.lang.Object` | `frame`
`java.lang.Object` | `prefs`
`boolean` | `showScriptClass`
`boolean` | `showScriptFreeForm`
`boolean` | `showTreeView`
`java.lang.Object` | `swing`

Constructor Summary
`AstBrowser(java.lang.Object inputArea, java.lang.Object rootElement, java.lang.Object classLoader)`

Method Summary
`void` | `compile(java.lang.Object jTree, java.lang.String script, int compilePhase)`
`void` | `decompile(java.lang.Object phaseId, java.lang.Object source)`
`void` | `largerFont(java.util.EventObject evt = null)`
`static void` | `main(java.lang.Object args)`
`void` | `run(Closure script)`
`void` | `run(Closure script, java.lang.String name)`
`void` | `showAbout(java.util.EventObject evt)`
`void` | `showScriptClass(java.util.EventObject evt)`
`void` | `showScriptFreeForm(java.util.EventObject evt)`
`void` | `showTreeView(java.util.EventObject evt = null)`
`void` | `smallerFont(java.util.EventObject evt = null)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### classLoader

    GeneratedBytecodeAwareGroovyClassLoader classLoader

### frame

    java.lang.Object frame

### prefs

    java.lang.Object prefs

### showScriptClass

    boolean showScriptClass

### showScriptFreeForm

    boolean showScriptFreeForm

### showTreeView

    boolean showTreeView

### swing

    java.lang.Object swing

Constructor Detail

### AstBrowser

    AstBrowser(java.lang.Object inputArea, java.lang.Object rootElement, java.lang.Object classLoader)

Method Detail

### compile

    void compile(java.lang.Object jTree, java.lang.String script, int compilePhase)

### decompile

    void decompile(java.lang.Object phaseId, java.lang.Object source)

### largerFont

    void largerFont(java.util.EventObject evt = null)

### main

    static void main(java.lang.Object args)

### run

    void run(Closure script)

### run

    void run(Closure script, java.lang.String name)

### showAbout

    void showAbout(java.util.EventObject evt)

### showScriptClass

    void showScriptClass(java.util.EventObject evt)

### showScriptFreeForm

    void showScriptFreeForm(java.util.EventObject evt)

### showTreeView

    void showTreeView(java.util.EventObject evt = null)

### smallerFont

    void smallerFont(java.util.EventObject evt = null)

Groovy Documentation